#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kglobalacceld
Version: 6.3.91
Release:        %mkrel %rel
Summary:        Daemon providing Global Keyboard Shortcut (Accelerator) functionality
License:        CC0-1.0 LGPL-2.0+ LGPL-2.1 LGPL-3.0
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  doxygen

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBusTools)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6QmlTools)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6GuiTools)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickTest)
BuildRequires:  cmake(Qt6DBusTools)
BuildRequires:  cmake(Qt6ToolsTools)
BuildRequires:  cmake(Qt6)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6JobWidgets)

BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xcb-xkb)

%description
Daemon providing Global Keyboard Shortcut (Accelerator) functionality.

%files
%_kf6_sysconfdir/xdg/autostart/kglobalacceld.desktop
%_userunitdir/plasma-kglobalaccel.service
%_qt6_plugindir/org.kde.kglobalacceld.platforms
%_libexecdir/kglobalacceld

#--------------------------------------------------------------------

%define kglobalacceld_major 0
%define libkglobalacceld    %mklibname kglobalacceld %{kglobalacceld_major}

%package -n %{libkglobalacceld}
Summary:        Daemon providing Global Keyboard Shortcut (Accelerator) functionality
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %{libkglobalacceld}
Daemon providing Global Keyboard Shortcut (Accelerator) functionality.

%files -n %{libkglobalacceld}
%_kf6_libdir/libKGlobalAccelD.so.%{kglobalacceld_major}
%_kf6_libdir/libKGlobalAccelD.so.%{version}

#--------------------------------------------------------------------

%define kglobalacceld_devel %mklibname kglobalacceld -d

%package -n %{kglobalacceld_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %{libkglobalacceld} = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %{kglobalacceld_devel}
This package contains header files needed if you wish to build applications
based on %name.

%files -n %{kglobalacceld_devel}
%_includedir/KGlobalAccelD/
#_kf6_libdir/libKGlobalAccelD.so
%_kf6_libdir/cmake/KGlobalAccelD/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DKDE_INSTALL_USE_QT_SYS_PATHS:BOOL=ON
%cmake_build

%install
%cmake_install


%changelog
* Fri May 30 2025 daviddavid <daviddavid> 6.3.91-1.mga10
+ Revision: 2186992
- New version 6.3.91

* Tue May 06 2025 daviddavid <daviddavid> 6.3.5-1.mga10
+ Revision: 2181353
- New version 6.3.5

* Wed Apr 02 2025 daviddavid <daviddavid> 6.3.4-1.mga10
+ Revision: 2172614
- New version 6.3.4

* Thu Mar 13 2025 daviddavid <daviddavid> 6.3.3-1.mga10
+ Revision: 2163281
- New version 6.3.3

* Tue Feb 25 2025 daviddavid <daviddavid> 6.3.2-1.mga10
+ Revision: 2152430
- New version 6.3.2

* Tue Feb 18 2025 daviddavid <daviddavid> 6.3.1-1.mga10
+ Revision: 2149365
- New version 6.3.1

* Tue Feb 11 2025 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2146904
- New version 6.3.0

* Thu Jan 23 2025 daviddavid <daviddavid> 6.2.91-1.mga10
+ Revision: 2140803
- New version 6.2.91

* Sat Jan 11 2025 daviddavid <daviddavid> 6.2.90-1.mga10
+ Revision: 2137946
- New version 6.2.90

* Wed Jan 01 2025 daviddavid <daviddavid> 6.2.5-1.mga10
+ Revision: 2134150
- New version 6.2.5

* Tue Nov 26 2024 daviddavid <daviddavid> 6.2.4-1.mga10
+ Revision: 2119036
- New version 6.2.4

* Sat Nov 09 2024 daviddavid <daviddavid> 6.2.3-1.mga10
+ Revision: 2113146
- New version 6.2.3

* Tue Oct 22 2024 daviddavid <daviddavid> 6.2.2-1.mga10
+ Revision: 2110011
- New version 6.2.2

* Wed Oct 16 2024 daviddavid <daviddavid> 6.2.1-1.mga10
+ Revision: 2107188
- New version 6.2.1

* Wed Oct 09 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2104433
- New version 6.2.0

* Thu Sep 12 2024 neoclust <neoclust> 6.1.90-1.mga10
+ Revision: 2095380
- New version 6.1.90

* Wed Aug 07 2024 daviddavid <daviddavid> 6.1.4-1.mga10
+ Revision: 2083895
- New version 6.1.4

* Tue Jul 02 2024 daviddavid <daviddavid> 6.1.2-1.mga10
+ Revision: 2079091
- New version 6.1.2

* Tue Jun 25 2024 daviddavid <daviddavid> 6.1.1-1.mga10
+ Revision: 2076686
- New version 6.1.1

* Tue Jun 18 2024 neoclust <neoclust> 6.1.0-1.mga10
+ Revision: 2074809
- New version 6.1.0

* Tue Jun 04 2024 neoclust <neoclust> 6.0.90-1.mga10
+ Revision: 2069787
- New version 6.0.90

* Tue Apr 16 2024 daviddavid <daviddavid> 6.0.4-1.mga10
+ Revision: 2057889
- New version 6.0.4

* Wed Mar 27 2024 daviddavid <daviddavid> 6.0.3-1.mga10
+ Revision: 2052466
- New version 6.0.3

* Tue Mar 12 2024 daviddavid <daviddavid> 6.0.2-1.mga10
+ Revision: 2049381
- New version 6.0.2

* Thu Mar 07 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2048130
- New version 6.0.1

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044988
- New version 6.0.0

* Fri Feb 02 2024 neoclust <neoclust> 5.93.0-1.mga10
+ Revision: 2036776
- New version 5.93.0

* Wed Jan 10 2024 neoclust <neoclust> 5.92.0-1.mga10
+ Revision: 2029637
- New version 5.92.0

* Mon Jan 01 2024 neoclust <neoclust> 5.91.0-1.mga10
+ Revision: 2025677
- New version 5.91.0
- New version 5.90.0
- New version 5.90.0

* Sun Nov 12 2023 daviddavid <daviddavid> 5.27.80-1.mga10
+ Revision: 2006218
- initial package kglobalacceld

